<?php
/**
 *
 * Pagination Functions
 *
 * @package Car Rental Service
 */

/**
 * Pagination for archive.
 */
function car_rental_service_render_posts_pagination() {
    // Get the setting to check if pagination is enabled
    $car_rental_service_is_pagination_enabled = get_theme_mod( 'car_rental_service_enable_pagination', true );

    // Check if pagination is enabled
    if ( $car_rental_service_is_pagination_enabled ) {
        // Get the selected pagination type from the Customizer
        $car_rental_service_pagination_type = get_theme_mod( 'car_rental_service_theme_pagination_type', 'numeric' );

        // Check if the pagination type is "newer_older" (Previous/Next) or "numeric"
        if ( 'newer_older' === $car_rental_service_pagination_type ) :
            // Display "Newer/Older" pagination (Previous/Next navigation)
            the_posts_navigation(
                array(
                    'prev_text' => __( '&laquo; Newer', 'car-rental-service' ),  // Change the label for "previous"
                    'next_text' => __( 'Older &raquo;', 'car-rental-service' ),  // Change the label for "next"
                    'screen_reader_text' => __( 'Posts navigation', 'car-rental-service' ),
                )
            );
        else :
            // Display numeric pagination (Page numbers)
            the_posts_pagination(
                array(
                    'prev_text' => __( '&laquo; Previous', 'car-rental-service' ),
                    'next_text' => __( 'Next &raquo;', 'car-rental-service' ),
                    'type'      => 'list', // Display as <ul> <li> tags
                    'screen_reader_text' => __( 'Posts navigation', 'car-rental-service' ),
                )
            );
        endif;
    }
}
add_action( 'car_rental_service_posts_pagination', 'car_rental_service_render_posts_pagination', 10 );